Subject: Re: SHELL on W2K (gmake 3.79.1) is cmd.exe not /bin/sh
From: "Max Bowsher" <[email-masked]>
To: "Parish" <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 12 Mar 2003 17:12:22 -0000

Parish wrote:
>> I am trying to help someone get Mozilla building on W2K but we can't
>> get 
>> it to work because, it appears, the value of SHELL is being set to
>> cmd.exe (i.e. COMSPEC). It is being run from the cygwin bash shell.

Is SHELL set in the Windows environment? (i.e. before bash starts)

>> My setup works fine so I am looking for differences. I got him to run
>> make with -p and send me the output. The relevant bits from this are:
...
>> # makefile
>> MAKEFLAGS =  --win32 -p

>> He has sh.exe in /bin (/cygdrive/d/Projects/cygwin/bin). I can
>> reproduce 
>> the problem on my system by renaming sh.exe and he assures me that
>> typing ''/bin/sh'' at the bash prompt works.

Get him to run "ls -l /bin/sh" and also "id" and send the output here.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/